> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiql.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chunk Elements



## OpenAPI

````yaml https://api.aiql.io/openapi.json get /sources/{id}/chunks/{chunk_id}/elements
openapi: 3.1.0
info:
  title: aiql-api
  version: 0.1.0
servers:
  - url: https://api.aiql.io
security: []
tags:
  - name: Health
    description: Service health checks.
  - name: Workspaces
    description: Workspace management.
  - name: Ingestions
    description: Document ingestion pipeline.
  - name: Queries
    description: Natural-language queries.
  - name: Sources
    description: Ingested sources and their contents.
  - name: Requests
    description: Source addition/removal requests awaiting review.
  - name: Request Changes
    description: Individual source add/remove changes on a request.
  - name: Request Reviews
    description: Reviews of a request, including draft and submit.
  - name: Request Comments
    description: Comments on a request review.
  - name: Canvases
    description: Brainstorm canvases.
  - name: Dashboards
    description: Dashboards.
  - name: Presentations
    description: Slide presentations.
  - name: Tools
    description: Standalone convert/split/shape/extract tools.
  - name: Connectors
    description: Connector catalog and connect flows.
  - name: Connections
    description: Workspace connector connections.
paths:
  /sources/{id}/chunks/{chunk_id}/elements:
    get:
      tags:
        - Sources
      summary: Get Chunk Elements
      operationId: get_chunk_elements_sources__id__chunks__chunk_id__elements_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: chunk_id
          in: path
          required: true
          schema:
            type: string
            title: Chunk Id
        - name: AiQL-Workspace
          in: header
          required: true
          schema:
            type: string
            description: ID of the workspace the request operates on.
            title: Aiql-Workspace
          description: ID of the workspace the request operates on.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceElement'
                title: >-
                  Response Get Chunk Elements Sources  Id  Chunks  Chunk Id 
                  Elements Get
        '401':
          description: 'Authentication failed: missing or invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl https://api.aiql.io/sources/ing_9d2c/chunks/{chunk_id}/elements
            \
              -H "Authorization: Bearer $AIQL_API_KEY" \
              -H "AiQL-Workspace: $AIQL_WORKSPACE_ID"
components:
  schemas:
    SourceElement:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the element.
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type of the extracted element.
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: Content of the extracted element.
        bounding_box:
          anyOf:
            - $ref: '#/components/schemas/BoundingBox'
            - type: 'null'
          description: Bounding box of the element on its page, if available.
      type: object
      required:
        - id
      title: SourceElement
    ErrorResponse:
      type: object
      title: ErrorResponse
      properties:
        detail:
          type: string
          title: Detail
      required:
        - detail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BoundingBox:
      properties:
        x_min:
          type: number
          title: X Min
          description: Minimum X coordinate of the bounding box.
        y_min:
          type: number
          title: Y Min
          description: Minimum Y coordinate of the bounding box.
        x_max:
          type: number
          title: X Max
          description: Maximum X coordinate of the bounding box.
        y_max:
          type: number
          title: Y Max
          description: Maximum Y coordinate of the bounding box.
      type: object
      required:
        - x_min
        - y_min
        - x_max
        - y_max
      title: BoundingBox
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer

````